#encoding
module RailsAdmin
  module Config
    module Actions

        class UpdateShopApplication < RailsAdmin::Config::Actions::Base
            register_instance_option :visible?  do
                authorized?
            end

            register_instance_option :member do
                true
            end

            register_instance_option :link_icon do
                'icon-share'
            end

            register_instance_option :pjax? do
                false
            end

            register_instance_option :controller do
                Proc.new do
                    require 'rest-client'
                    shop_application = ShopApplication.where("id = ? and status=?",@object.id,0).first
                    n = "此状态不支持操作"
                    if not shop_application.blank?
                        n = "已成功申请"
                        url = "#{CONFIG_FILE["api_host"]}/railsadmin/update/shop/#{@object.id}"
                        begin
                            ret = RestClient.get url, {} #per_page: 5
                        rescue Exception => e
                            n = "申请失败！"
                        end
                    end
                    redirect_to :back, notice: "#{n}"
                end
            end
        end
    end
  end
end